/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */



/**
 * Le Framework de jeux JavaScript Phaser
 *
Phaser v2.0.5 - http://phaser.io - @photonstorm - (c) 2014 Photon Storm Ltd. 
https://github.com/photonstorm/phaser
http://examples.phaser.io/
 */



/**
 * Classe de chargement de tous les éléments du jeu
 * 
 * @param  {[type]} game [description]
 * @return {[type]}      [description]
 */

loading = {

/**
 * Les méthodes
 * 
 * @type {Object}
 */


	/**
	 * Appel automatique lors de l'instanciation
	 * Initialisation de l'objet
	 * 
	 * @return {[type]} [description]
	 */
	init: function()
	{
		// affichage en plein écran
		/*
		game.scale.pageAlignHorizontally = true;
		game.scale.pageAlignVertically = true;
		game.scale.scaleMode = Phaser.ScaleManager.SHOW_ALL;
		game.scale.setScreenSize(true);*/
		
		game.stage.backgroundColor = '#cccccc';// la couleur de fond du jeu
	},

	/**
	 * Préchargement des éléments du jeu
	 * 
	 * @return {[type]} [description]
	 */
	preload: function()
	{
		// chargement des éléments graphique du jeu
        game.load.spritesheet("levels", "assets/levels.png", game.global.thumbWidth, game.global.thumbHeight);
		game.load.spritesheet("level_arrows", "assets/level_arrows.png", 48, 48);
		game.load.spritesheet("game", "assets/game.png", 200, 80);
	},


	/**
	 * Création de la scène du jeu,
	 * mise en place des graphismes...
	 * 
	 * @return {[type]} [description]
	 */
  	create: function()
  	{
  		// affiche l'interface de sélection du niveau à jouer
		game.state.start("LevelSelect");
	}
}     